Subject: Re: linux-next: build failure after merge of the net tree

From: David Miller <[email-masked]>
Date: Tue, 08 Mar 2011 22:45:51 -0800 (PST)

From: Stephen Rothwell <[email-masked]>
Date: Wed, 9 Mar 2011 13:42:34 +1100

> Hi all,
> 
> After merging the net tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/net/ixgbe/ixgbe_mbx.c: In function 'ixgbe_init_mbx_params_pf':
> drivers/net/ixgbe/ixgbe_mbx.c:456: error: 'struct ixgbe_mbx_info' has no member named 'udelay'
> 
> Caused by commit d7c8a29fc8bd20ba45ec2f52577ed04a988a9500 ("ixgbe:
> improve logic in ixgbe_init_mbx_params_pf").
> 
> I am wondering if that was ever built ...
> 
> I have used the net tree from next-20110308 for today.

Probably two minutes after you pulled this a fix went in:

commit 5217e8794619ac0a29151f29be20c7d6188303ba
Author: Andy Gospodarek <[email-masked]>
Date:   Tue Mar 8 14:26:00 2011 -0800

    ixgbe: fix compile failure in ixgbe_init_mbx_params_pf
    
    This commit:
    
        commit d7c8a29fc8bd20ba45ec2f52577ed04a988a9500
        Author: Emil Tantilov <[email-masked]>
        Date:   Thu Mar 3 09:25:02 2011 +0000
    
            ixgbe: improve logic in ixgbe_init_mbx_params_pf
    
    incorrectly added a line that accessed mbx->udelay.  I'm sure the intent
    was mbx->usec_delay.  This patch fixes the compilation error.
    
    Signed-off-by: Andy Gospodarek <[email-masked]>
    Signed-off-by: David S. Miller <[email-masked]>

diff --git a/drivers/net/ixgbe/ixgbe_mbx.c b/drivers/net/ixgbe/ixgbe_mbx.c
index 3cf8aec..c7ed82e 100644
--- a/drivers/net/ixgbe/ixgbe_mbx.c
+++ b/drivers/net/ixgbe/ixgbe_mbx.c
@@ -453,7 +453,7 @@ void ixgbe_init_mbx_params_pf(struct ixgbe_hw *hw)
 		return;
 
 	mbx->timeout = 0;
-	mbx->udelay = 0;
+	mbx->usec_delay = 0;
 
 	mbx->stats.msgs_tx = 0;
 	mbx->stats.msgs_rx = 0;